Index: /extensions/pwgCumulus/CHANGELOG
===================================================================
--- /extensions/pwgCumulus/CHANGELOG	(revision 21468)
+++ /extensions/pwgCumulus/CHANGELOG	(revision 21469)
@@ -1,2 +1,7 @@
+pwgCumulus 0.7.0 - 2013-03-11
+================================
+* Make plugin compatible with piwigo 2.5
+* Update copyright
+
 pwgCumulus 0.6.1 - 2011-07-08
 ================================
Index: /extensions/pwgCumulus/MANIFEST
===================================================================
--- /extensions/pwgCumulus/MANIFEST	(revision 21468)
+++ /extensions/pwgCumulus/MANIFEST	(revision 21469)
@@ -17,6 +17,10 @@
 pwgCumulus/language/en_UK/index.php
 pwgCumulus/language/en_UK/description.txt
+pwgCumulus/language/pt_PT/plugin.lang.php
+pwgCumulus/language/pt_PT/index.php
+pwgCumulus/language/pt_PT/description.txt
 pwgCumulus/language/de_DE/plugin.lang.php
 pwgCumulus/language/de_DE/index.php
+pwgCumulus/language/de_DE/description.txt
 pwgCumulus/language/hr_HR/plugin.lang.php
 pwgCumulus/language/hr_HR/index.php
@@ -28,4 +32,7 @@
 pwgCumulus/language/ru_RU/index.php
 pwgCumulus/language/ru_RU/description.txt
+pwgCumulus/language/da_DK/plugin.lang.php
+pwgCumulus/language/da_DK/index.php
+pwgCumulus/language/da_DK/description.txt
 pwgCumulus/language/tr_TR/plugin.lang.php
 pwgCumulus/language/tr_TR/index.php
@@ -37,10 +44,16 @@
 pwgCumulus/language/cs_CZ/index.php
 pwgCumulus/language/cs_CZ/description.txt
-pwgCumulus/language/no_NO/plugin.lang.php
-pwgCumulus/language/no_NO/index.php
-pwgCumulus/language/no_NO/description.txt
+pwgCumulus/language/nb_NO/plugin.lang.php
+pwgCumulus/language/nb_NO/index.php
+pwgCumulus/language/nb_NO/description.txt
 pwgCumulus/language/pl_PL/plugin.lang.php
 pwgCumulus/language/pl_PL/index.php
 pwgCumulus/language/pl_PL/description.txt
+pwgCumulus/language/uk_UA/plugin.lang.php
+pwgCumulus/language/uk_UA/index.php
+pwgCumulus/language/uk_UA/description.txt
+pwgCumulus/language/el_GR/plugin.lang.php
+pwgCumulus/language/el_GR/index.php
+pwgCumulus/language/el_GR/description.txt
 pwgCumulus/language/sk_SK/plugin.lang.php
 pwgCumulus/language/sk_SK/index.php
@@ -49,7 +62,13 @@
 pwgCumulus/language/it_IT/index.php
 pwgCumulus/language/it_IT/description.txt
+pwgCumulus/language/pt_BR/plugin.lang.php
+pwgCumulus/language/pt_BR/index.php
+pwgCumulus/language/pt_BR/description.txt
 pwgCumulus/language/sv_SE/plugin.lang.php
 pwgCumulus/language/sv_SE/index.php
 pwgCumulus/language/sv_SE/description.txt
+pwgCumulus/language/zh_CN/plugin.lang.php
+pwgCumulus/language/zh_CN/index.php
+pwgCumulus/language/zh_CN/description.txt
 pwgCumulus/language/hu_HU/plugin.lang.php
 pwgCumulus/language/hu_HU/index.php
Index: /extensions/pwgCumulus/admin.php
===================================================================
--- /extensions/pwgCumulus/admin.php	(revision 21468)
+++ /extensions/pwgCumulus/admin.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -58,3 +58,2 @@
 $template->assign('PWG_CUMULUS_TAB_ACTION', PWG_CUMULUS_PLUGIN_TEMPLATE . '/admin_' . $page['tab'] . '.tpl');
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-?>
Index: /extensions/pwgCumulus/default_values.inc.php
===================================================================
--- /extensions/pwgCumulus/default_values.inc.php	(revision 21468)
+++ /extensions/pwgCumulus/default_values.inc.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -29,3 +29,2 @@
 $default_values['color2'] = "FF3363";
 $default_values['hicolor'] = "00CC00";
-?>
Index: /extensions/pwgCumulus/include/admin_main.inc.php
===================================================================
--- /extensions/pwgCumulus/include/admin_main.inc.php	(revision 21468)
+++ /extensions/pwgCumulus/include/admin_main.inc.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -20,4 +20,8 @@
 // +-----------------------------------------------------------------------+
 
+if (!defined('PHPWG_ROOT_PATH')) {
+  die('Hacking attempt!');
+}
+
 $plugin_main = file_get_contents(dirname(__FILE__) . '/../main.inc.php');
 $version = '';
Index: /extensions/pwgCumulus/include/admin_menu.inc.php
===================================================================
--- /extensions/pwgCumulus/include/admin_menu.inc.php	(revision 21468)
+++ /extensions/pwgCumulus/include/admin_menu.inc.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -70,3 +70,2 @@
 $template->assign('POSITION_BLOCK_ID', $me->position_block_id);
 $template->assign('PWG_CUMULUS_IN_MAIN_MENU', $me->pwg_cumulus_in_main_menu);
-?>
Index: /extensions/pwgCumulus/include/admin_tags.inc.php
===================================================================
--- /extensions/pwgCumulus/include/admin_tags.inc.php	(revision 21468)
+++ /extensions/pwgCumulus/include/admin_tags.inc.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -19,4 +19,8 @@
 // | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH')) {
+  die('Hacking attempt!');
+}
 
 $save_config = false;
@@ -82,3 +86,2 @@
 $template->assign('PWG_CUMULUS_COLOR2', $me->pwg_cumulus_color2);
 $template->assign('PWG_CUMULUS_HICOLOR', $me->pwg_cumulus_hicolor);
-?>
Index: /extensions/pwgCumulus/include/pwgCumulusConfig.class.php
===================================================================
--- /extensions/pwgCumulus/include/pwgCumulusConfig.class.php	(revision 21468)
+++ /extensions/pwgCumulus/include/pwgCumulusConfig.class.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -53,5 +53,5 @@
 
   private function get_config_file_dir() {
-    return $GLOBALS['conf']['local_data_dir'].'/plugins/';
+    return PHPWG_ROOT_PATH . $GLOBALS['conf']['data_location'].'plugins/';
   }
 
@@ -88,3 +88,2 @@
   }
 }
-?>
Index: /extensions/pwgCumulus/include/pwgCumulusContent.class.php
===================================================================
--- /extensions/pwgCumulus/include/pwgCumulusContent.class.php	(revision 21468)
+++ /extensions/pwgCumulus/include/pwgCumulusContent.class.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -119,3 +119,2 @@
   }
 }
-?>
Index: /extensions/pwgCumulus/init.php
===================================================================
--- /extensions/pwgCumulus/init.php	(revision 21468)
+++ /extensions/pwgCumulus/init.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -47,3 +47,2 @@
 
 set_plugin_data($plugin['id'], $plugin_config);
-?>
Index: /extensions/pwgCumulus/language/ar_SA/index.php
===================================================================
--- /extensions/pwgCumulus/language/ar_SA/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/ar_SA/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/ar_SA/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/ar_SA/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -39,3 +39,2 @@
 $lang['Color 2 updated'] = "اللون الثاني تم تحديثه";
 $lang['Mouseover color updated'] = "لون التاشير على العنصر تم تحديثه";
-?>
Index: /extensions/pwgCumulus/language/cs_CZ/index.php
===================================================================
--- /extensions/pwgCumulus/language/cs_CZ/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/cs_CZ/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/cs_CZ/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/cs_CZ/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -63,3 +63,2 @@
 $lang['cumulus cloud'] = 'kupovitý mrak';
 $lang['show tag cloud'] = 'ukázat štítek mraku';
-?>
Index: /extensions/pwgCumulus/language/da_DK/index.php
===================================================================
--- /extensions/pwgCumulus/language/da_DK/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/da_DK/index.php	(revision 21469)
@@ -1,3 +1,24 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
@@ -5,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/da_DK/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/da_DK/plugin.lang.php	(revision 21469)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['cloud'] = 'sky';
 $lang['cumulus cloud'] = 'kumulussky';
@@ -64,3 +63,2 @@
 $lang['Dashboard'] = 'Instrumentbræt';
 $lang['Height'] = 'Højde';
-?>
Index: /extensions/pwgCumulus/language/de_DE/index.php
===================================================================
--- /extensions/pwgCumulus/language/de_DE/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/de_DE/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/de_DE/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/de_DE/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -39,5 +39,4 @@
 $lang['Color 2'] = 'Farbe 2';
 
-
 $lang['Add tags cloud in main menu'] = 'Tags Wolke hinzufügen im Hauptmenü';
 $lang['After'] = 'Nach';
@@ -65,3 +64,2 @@
 $lang['cumulus cloud'] = 'Cumulus Wolke';
 $lang['show tag cloud'] = 'zeige Tag Wolke';
-?>
Index: /extensions/pwgCumulus/language/el_GR/index.php
===================================================================
--- /extensions/pwgCumulus/language/el_GR/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/el_GR/index.php	(revision 21469)
@@ -1,3 +1,24 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
@@ -5,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/el_GR/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/el_GR/plugin.lang.php	(revision 21469)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['Add tags cloud in main menu'] = 'Προσθήκη νέφους ετικετών στο κύριο μενού';
 $lang['After'] = 'Μετά';
@@ -64,3 +63,2 @@
 $lang['cumulus cloud'] = 'πυκνό νέφος';
 $lang['show tag cloud'] = 'δείξτε το νέφος ετικετών';
-?>
Index: /extensions/pwgCumulus/language/en_UK/index.php
===================================================================
--- /extensions/pwgCumulus/language/en_UK/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/en_UK/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/en_UK/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/en_UK/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -72,4 +72,2 @@
 $lang['cumulus cloud'] = 'cumulus cloud';
 $lang['show tag cloud'] = 'show tag cloud';
- 
-?>
Index: /extensions/pwgCumulus/language/es_ES/index.php
===================================================================
--- /extensions/pwgCumulus/language/es_ES/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/es_ES/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -63,3 +63,2 @@
 $lang['cumulus cloud'] = 'Nube cumulus';
 $lang['show tag cloud'] = 'Mostrar la nube de etiquetas';
-?>
Index: /extensions/pwgCumulus/language/fr_FR/index.php
===================================================================
--- /extensions/pwgCumulus/language/fr_FR/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/fr_FR/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/fr_FR/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/fr_FR/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -64,5 +64,4 @@
 $lang['cloud'] = 'nuage';
 $lang['cumulus cloud'] = 'Nuage cumulus';
-$lang['show tag cloud'] = 'utiliser le mode cumulus pour afficher le nuage de tags';
+$lang['Show tag cloud'] = 'Utiliser le mode cumulus pour afficher le nuage de tags';
 $lang['Dashboard'] = 'Tableau de bord';
-?>
Index: /extensions/pwgCumulus/language/hr_HR/index.php
===================================================================
--- /extensions/pwgCumulus/language/hr_HR/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/hr_HR/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/hr_HR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/hr_HR/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/hr_HR/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -39,3 +39,2 @@
 $lang['Mouseover color updated'] = "Boja kod prijelaza mišem ažurirana";
 $lang['Animation colors'] = "Boje animacije";
-?>
Index: /extensions/pwgCumulus/language/hu_HU/index.php
===================================================================
--- /extensions/pwgCumulus/language/hu_HU/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/hu_HU/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -63,3 +63,2 @@
 $lang['block'] = 'elem';
 $lang['show tag cloud'] = 'A cimke-felhő mutatása';
-?>
Index: /extensions/pwgCumulus/language/it_IT/index.php
===================================================================
--- /extensions/pwgCumulus/language/it_IT/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/it_IT/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/it_IT/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/it_IT/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -64,5 +64,4 @@
 $lang['cloud'] = 'nuvola';
 $lang['cumulus cloud'] = 'Nuvola cumulus';
-$lang['show tag cloud'] = 'usare il modo cumulus per visualizzare la nuvola di tag';
+$lang['Show tag cloud'] = 'Usare il modo cumulus per visualizzare la nuvola di tag';
 $lang['Dashboard'] = 'Dashboard';
-?>
Index: /extensions/pwgCumulus/language/lv_LV/index.php
===================================================================
--- /extensions/pwgCumulus/language/lv_LV/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/lv_LV/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/lv_LV/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/lv_LV/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -63,3 +63,2 @@
 $lang['cumulus cloud'] = 'kumulus mākonis';
 $lang['show tag cloud'] = 'rādīt tega (cilnes) mākoni';
-?>
Index: /extensions/pwgCumulus/language/nb_NO/index.php
===================================================================
--- /extensions/pwgCumulus/language/nb_NO/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/nb_NO/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/nb_NO/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/nb_NO/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/nb_NO/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -39,3 +39,2 @@
 $lang['Color 2 updated'] = "Farge 2 oppdatert";
 $lang['Mouseover color updated'] = "Sveve farger oppdatert";
-?>
Index: /extensions/pwgCumulus/language/nl_NL/index.php
===================================================================
--- /extensions/pwgCumulus/language/nl_NL/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/nl_NL/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/nl_NL/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/nl_NL/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -64,3 +64,2 @@
 $lang['cumulus cloud'] = 'cumuluswolk';
 $lang['show tag cloud'] = 'toon trefwoordenwolk';
-?>
Index: /extensions/pwgCumulus/language/pl_PL/index.php
===================================================================
--- /extensions/pwgCumulus/language/pl_PL/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/pl_PL/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/pl_PL/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/pl_PL/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -63,3 +63,2 @@
 $lang['You can choose to add cumulus tag cloud in menu. You can define tags cloud position in the main menu by choosing its position related to another block'] = 'Możesz dodać chmurę tagów cumulus do menu. Możesz definiować jej położenie w menu wybierając jej położenie względem innych bloków.';
 $lang['Dashboard'] = 'Tablica';
-?>
Index: /extensions/pwgCumulus/language/pt_BR/index.php
===================================================================
--- /extensions/pwgCumulus/language/pt_BR/index.php	(revision 21469)
+++ /extensions/pwgCumulus/language/pt_BR/index.php	(revision 21469)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
Index: /extensions/pwgCumulus/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/pt_BR/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/pt_BR/plugin.lang.php	(revision 21469)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['cloud'] = 'nuvem';
 $lang['cumulus cloud'] = 'nuvem cumulus';
@@ -64,3 +63,2 @@
 $lang['Dashboard'] = 'Painel de Instrumentos';
 $lang['Height'] = 'Altura';
-?>
Index: /extensions/pwgCumulus/language/pt_PT/index.php
===================================================================
--- /extensions/pwgCumulus/language/pt_PT/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/pt_PT/index.php	(revision 21469)
@@ -1,3 +1,24 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
@@ -5,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/pt_PT/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/pt_PT/plugin.lang.php	(revision 21469)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['Add tags cloud in main menu'] = 'Adicionar nuvem de etiquetas ao menú principal';
 $lang['After'] = 'Depois';
@@ -64,3 +63,2 @@
 $lang['cumulus cloud'] = 'Nuvem cumulus';
 $lang['show tag cloud'] = 'Mostrar nuvem de etiquetas';
-?>
Index: /extensions/pwgCumulus/language/ru_RU/index.php
===================================================================
--- /extensions/pwgCumulus/language/ru_RU/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/ru_RU/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/ru_RU/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/ru_RU/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -63,3 +63,2 @@
 $lang['cumulus cloud'] = 'облако cumulus';
 $lang['show tag cloud'] = 'показать облако тэгов';
-?>
Index: /extensions/pwgCumulus/language/sk_SK/index.php
===================================================================
--- /extensions/pwgCumulus/language/sk_SK/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/sk_SK/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/sk_SK/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/sk_SK/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -19,5 +19,4 @@
 // | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
-
 
 $lang['Cumulus Tags Cloud Plugin'] = "Kumulus mragový doplnok";
@@ -39,5 +38,4 @@
 $lang['Mouseover color updated'] = "Vznášajúca sa farba aktualizovaná";
 $lang['Animation colors'] = 'Animované farby';
-
 $lang['Add tags cloud in main menu'] = 'Pridanie kľúčových slov do môjho menu';
 $lang['After'] = 'Po';
@@ -65,3 +63,2 @@
 $lang['cumulus cloud'] = 'kumulus';
 $lang['show tag cloud'] = 'zobraziť mrak kľúčového slova';
-?>
Index: /extensions/pwgCumulus/language/sv_SE/index.php
===================================================================
--- /extensions/pwgCumulus/language/sv_SE/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/sv_SE/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/sv_SE/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/sv_SE/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -64,3 +64,2 @@
 $lang['cumulus cloud'] = 'cumulus moln';
 $lang['show tag cloud'] = 'visa taggmoln';
-?>
Index: /extensions/pwgCumulus/language/templates/index.php
===================================================================
--- /extensions/pwgCumulus/language/templates/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/templates/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/templates/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/templates/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/templates/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -66,3 +66,2 @@
 $lang['cumulus cloud'] = '';
 $lang['show tag cloud'] = '';
-?>
Index: /extensions/pwgCumulus/language/tr_TR/index.php
===================================================================
--- /extensions/pwgCumulus/language/tr_TR/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/tr_TR/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/tr_TR/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/tr_TR/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -63,3 +63,2 @@
 $lang['show tag cloud'] = 'tag cloud\'u göster';
 $lang['Transparent mode is used'] = 'Şeffaf mod kullanılır';
-?>
Index: /extensions/pwgCumulus/language/uk_UA/index.php
===================================================================
--- /extensions/pwgCumulus/language/uk_UA/index.php	(revision 21468)
+++ /extensions/pwgCumulus/language/uk_UA/index.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,3 +26,2 @@
 header( 'Location: '.$url );
 exit();
-?>
Index: /extensions/pwgCumulus/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/uk_UA/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/uk_UA/plugin.lang.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -66,3 +66,2 @@
 $lang['cumulus cloud'] = 'купчаста хмарка';
 $lang['show tag cloud'] = 'показувати хмарку тегів'; 
-?>
Index: /extensions/pwgCumulus/language/zh_CN/index.php
===================================================================
--- /extensions/pwgCumulus/language/zh_CN/index.php	(revision 21469)
+++ /extensions/pwgCumulus/language/zh_CN/index.php	(revision 21469)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
Index: /extensions/pwgCumulus/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/zh_CN/plugin.lang.php	(revision 21468)
+++ /extensions/pwgCumulus/language/zh_CN/plugin.lang.php	(revision 21469)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['After'] = '在此项之后：';
 $lang['Before'] = '在此项之前：';
@@ -64,3 +63,2 @@
 $lang['Current release:'] = 'Current release：';
 $lang['Dashboard'] = '面板';
-?>
Index: /extensions/pwgCumulus/main.inc.php
===================================================================
--- /extensions/pwgCumulus/main.inc.php	(revision 21468)
+++ /extensions/pwgCumulus/main.inc.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 /*
 Plugin Name: pwgCumulus
-Version: 0.6.1
+Version: 0.7.0
 Description: add an amazing tag cloud
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=263
@@ -34,3 +34,2 @@
 
 include_once(dirname(__FILE__).'/init.php');
-?>
Index: /extensions/pwgCumulus/maintain.inc.php
===================================================================
--- /extensions/pwgCumulus/maintain.inc.php	(revision 21468)
+++ /extensions/pwgCumulus/maintain.inc.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -34,5 +34,5 @@
 
 function plugin_uninstall($plugin_id) {
-  $config_file = $GLOBALS['conf']['local_data_dir'].'/plugins/';
+  $config_file = PHPWG_ROOT_PATH . $GLOBALS['conf']['data_location'] . 'plugins/';
   $config_file .= basename(dirname(__FILE__)).'.dat';
   if (file_exists($config_file)) {
@@ -40,3 +40,2 @@
   }
 }
-?>
Index: /extensions/pwgCumulus/public.php
===================================================================
--- /extensions/pwgCumulus/public.php	(revision 21468)
+++ /extensions/pwgCumulus/public.php	(revision 21469)
@@ -3,5 +3,5 @@
 // | pwgCumulus  - a plugin for Piwigo                                     |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -26,10 +26,9 @@
 add_event_handler('loc_begin_page_header',
                   array($public_content, 'loc_begin_page_header')
-		  ); 
+                  ); 
 add_event_handler('blockmanager_register_blocks',
-		  array($public_content, 'blockmanager_register_blocks')
-		  );
+                  array($public_content, 'blockmanager_register_blocks')
+                  );
 add_event_handler('blockmanager_apply',
-		  array($public_content, 'blockmanager_apply')
-		  );
-?>
+                  array($public_content, 'blockmanager_apply')
+                  );
